<?php
/*
 * IML DEPLOYMENT GUI
 * ROLES and its permissions
 * 
 * - page_login permission for all to show login form
 *
 */

return array(
    "all" => array(
        "page_login"
    ),
    "authenticated" => array(
        "page_overview",
        
        "page_accept",
        "page_build",
        "page_cleanup",
        "page_deploy",
        "page_doc",
        "page_htmltest",
        "page_phase",
        "page_setup",
        
        // see $oProject->renderLink() and $oProject->[äction]
        "project-action-default",
        "project-action-accept", // see project->canAcceptPhase (used for build button)
        "project-action-accept-preview",
        "project-action-build",
        "project-action-cleanup",
        "project-action-deploy", // deploy all phases incl to live
        "project-action-deploy-preview",
        "project-action-overview",
        "project-action-phase",
        "project-action-setup",
    ),
    
    
    "admin" => array(
        
        "page_accept",
        "page_build",
        "page_cleanup",
        "page_delete",
        "page_deploy",
        "page_doc",
        "page_htmltest",
        "page_phase",
        "page_setup",
        "page_checkssh",
        
        // see $oProject->renderLink() and $oProject->[äction]
        "project-action-default",
        "project-action-accept",
        "project-action-build",
        "project-action-cleanup",
        "project-action-create",
        "project-action-deploy",
        "project-action-delete",
        "project-action-new",
        "project-action-overview",
        "project-action-phase",
        "project-action-setup",
        "project-action-setup-edit-replacements",
    ),
    
    // ----- wenn es mal eine feinere Granulierung braucht, muss man eine
    //       User-Admin programmieren
    
    /*
    "authenticated_" => array(
        "page_overview",
    ),
    "developer_" => array(
        "page_build",
        "page_cleanup",
        "page_setup",
        // see $oProject->renderLink() and $oProject->[äction]
        "project-action-default",
        "project-action-accept-preview",
        "project-action-build",
        "project-action-cleanup",
        "project-action-deploy-preview",
        "project-action-overview",
        "project-action-phase",
        "project-action-setup",
    ),
    "projectmanager_" => array(
        "project-action-default",
        "project-action-accept-preview",
        "project-action-accept-stage",
        // "project-action-deploy",
        "project-action-overview",
        "project-action-phase",
    ),
    */
    
);
